package com.example.iot_controlhost.model.net;

import com.google.gson.annotations.SerializedName;

/**
 * @Description 房间信息
 * @Author DuanKaiji
 * @CreateTime 2023年12月26日 17:18:38
 */
public class RoomInfo {

    @SerializedName("Code")
    private int code;
    @SerializedName("Message")
    private String message;
    @SerializedName("Data")
    private DataDTO data;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public DataDTO getData() {
        return data;
    }

    public void setData(DataDTO data) {
        this.data = data;
    }

    public static class DataDTO {
        @SerializedName("CompanyName")
        private String companyName;
        @SerializedName("TypeCode")
        private int typeCode;
        @SerializedName("TypeName")
        private String typeName;
        @SerializedName("Name")
        private String name;
        @SerializedName("OwnerName")
        private String ownerName;
        @SerializedName("OwnerTel")
        private String ownerTel;
        @SerializedName("OwnerInfo")
        private String ownerInfo;
        @SerializedName("GroupName")
        private String groupName;
        @SerializedName("Version")
        private String version;
        @SerializedName("Canfuyuan")
        private String canfuyuan;
        @SerializedName("TrafficCardOffTime")
        private String trafficCardOffTime;
        @SerializedName("ConstructionDate")
        private String constructionDate;
        @SerializedName("WarrantyDeadline")
        private String warrantyDeadline;
        @SerializedName("Lon")
        private String lon;
        @SerializedName("Lat")
        private String lat;

        public String getCompanyName() {
            return companyName;
        }

        public void setCompanyName(String companyName) {
            this.companyName = companyName;
        }

        public int getTypeCode() {
            return typeCode;
        }

        public void setTypeCode(int typeCode) {
            this.typeCode = typeCode;
        }

        public String getTypeName() {
            return typeName;
        }

        public void setTypeName(String typeName) {
            this.typeName = typeName;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getOwnerName() {
            return ownerName;
        }

        public void setOwnerName(String ownerName) {
            this.ownerName = ownerName;
        }

        public String getOwnerTel() {
            return ownerTel;
        }

        public void setOwnerTel(String ownerTel) {
            this.ownerTel = ownerTel;
        }

        public String getOwnerInfo() {
            return ownerInfo;
        }

        public void setOwnerInfo(String ownerInfo) {
            this.ownerInfo = ownerInfo;
        }

        public String getGroupName() {
            return groupName;
        }

        public void setGroupName(String groupName) {
            this.groupName = groupName;
        }

        public String getVersion() {
            return version;
        }

        public void setVersion(String version) {
            this.version = version;
        }

        public String getCanfuyuan() {
            return canfuyuan;
        }

        public void setCanfuyuan(String canfuyuan) {
            this.canfuyuan = canfuyuan;
        }

        public String getTrafficCardOffTime() {
            return trafficCardOffTime;
        }

        public void setTrafficCardOffTime(String trafficCardOffTime) {
            this.trafficCardOffTime = trafficCardOffTime;
        }

        public String getConstructionDate() {
            return constructionDate;
        }

        public void setConstructionDate(String constructionDate) {
            this.constructionDate = constructionDate;
        }

        public String getWarrantyDeadline() {
            return warrantyDeadline;
        }

        public void setWarrantyDeadline(String warrantyDeadline) {
            this.warrantyDeadline = warrantyDeadline;
        }

        public String getLon() {
            return lon;
        }

        public void setLon(String lon) {
            this.lon = lon;
        }

        public String getLat() {
            return lat;
        }

        public void setLat(String lat) {
            this.lat = lat;
        }
    }
}
